General Instructions

Fill in the settings you wish to establish a connection with and click the “Ping” button. For an example see screenshot below.


General Options

Host (or IP Address): Type the Host Name or IP Address of the Server you are attempting to Ping. Examples could include ct.hospital.net or 192.168.0.33, etc.

Port: Type the port number that the Server is listening to. Examples could include 1111 or 3333, etc.

Destination AE: Type the Application Entity Title (AE_TITLE) of the Server you are attempting to Ping. Examples could include MRI or CT, etc.

Source AE: Type the AE_TITLE that you would like to establish the connection to the server as (this is only important if the server you are attempted to ping has an access list restriction set by AE_TITLE.


Network Options

Timeout (secs): Type the number of seconds you would like to wait for a connection to be established before DiCOM PiNG stops attempting to connect. Default is 1.

Repeat Request: Type the number of times you would like to repeat the ping request. Default is 1.

Max PDU – This is the maximum size of the Protocol Data Unit used when communicating with the Server. It is suggested to leave as the default (16384) unless you wish to adjust the Max PDU settings.

Propose Transfer Syntaxes: This setting allows you to select from a total of 28 Transfer Syntaxes to test the connection with. Whichever number you select you will test the connecting using that Transfer Syntax as well as all Transfer Syntaxes above it. For example if you select “22” you will connect using “RLELossless” as well as those numbered 1-21. Click Here for a complete list of all Transfer Syntaxes supported.

Propose Presentation Contexts: This refers to the number of presentation contexts to propose during association negotiation. This feature is not currently supported but will be in future releases.


TLS (SSL) Options

Private Key File: This refers to the PEM encoded file containing the private key to be used with the Server. Either type the location of the Private Key File you wish to test with or click the “Browse” button to navigate to its location. If you do not have a PEM encoded file it is suggested to leave this option blank.

Use Private key Password: Checking this option will allow you to assign a Private Key Password if the private key file is protected by a password. If checked and no password is specified an empty ("") password will be used. To specify a NULL password do NOT check this option.

Certificate File: This refers to the PEM Encoded certificate used to communicate with the server. Either type the location of the Certificate File you wish to test with or click the “Browse” button to navigate to its location. If you do not have a PEM Encoded certificate is is best to leave this option blank.

Certificate Authority File: This refers to the PEM Encoded Certificate Authority File used to verify your certificate. Either type the location of the Certificate Authority File you wish to test with or click the “Browse” button to navigate to its location.

Require Peer Certificate: This setting requires Server to have a valid certificate before completing the association. If unchecked and theServer provides a certificate it is ignored.Check this option if you wish to require a Peer Certificate in order to establish a connection.


FAQ

Q: I get a message that says, “You must provide a Private Key File when selecting TLS/SSL. Collapse the TLS/SSL options to disable SSL. What do I do?

A: If you have the TLS Option uncollapsed DiCOM PiNG will attempt to use TLS to establish the connection with the Server you attempt to ping. If you do not wish to use TLS to establish the connection you will need to collapse this menu. Click “OK” and then click the bold lettering that says, “TLS (SSL) Options” which will collapse the TLS menu for which you have no Private Key File selected. Otherwise if you wish to use SSL to test the connection then browse to the location of your Private Key File.

Q: I get a message that says, “Please select a timeout value greater than 1.” What do I do?

A: A timeout value must be entered in the “Network Options” menu. Click the bolded text that says “Network Options” to uncollapse the menu and type a value for the timeout. (Default is 1). A value must be entered for all options in the “Network Options” menu for DiCOM PiNG to function properly.


Transfer Syntaxes List

The following is a list of the Transfer Syntaxes that you can test in DiCOM PiNG

1. LittleEndianImplicit
2. LittleEndianExplicit
3. BigEndianExplicit
4. JPEGBaseline
5. JPEGExtended:Process2+4
6. JPEGExtended:Process3+5
7. JPEGSpectralSelection:Non-hierarchical:Process6+8
8. JPEGSpectralSelection:Non-hierarchical:Process7+9
9. JPEGFullProgression:Non-hierarchical:Process10+12
10. JPEGFullProgression:Non-hierarchical:Process11+13
11. JPEGLossless:Non-hierarchical:Process14
12. JPEGLossless:Non-hierarchical:Process15
13. JPEGExtended:Hierarchical:Process16+18
14. JPEGExtended:Hierarchical:Process17+19
15. JPEGSpectralSelection:Hierarchical:Process20+22
16. JPEGSpectralSelection:Hierarchical:Process21+23
17. JPEGFullProgression:Hierarchical:Process24+26
18. JPEGFullProgression:Hierarchical:Process25+27
19. JPEGLossless:Hierarchical:Process28
20. JPEGLossless:Hierarchical:Process29
21. JPEGLossless:Non-hierarchical-1stOrderPrediction
22. RLELossless
23. JPEGLSLossless
24. JPEGLSLossy
25. DeflatedLittleEndianExplicit
26. JPEG2000LosslessOnly
27. JPEG2000MPEG2MainProfile@MainLevel


Disclaimer

Software downloaded from this web site is provided 'as is' without warranty of any kind, either express or implied, including, but not limited to, the implied warranties of fitness for a purpose, or the warranty of non-infringement. Without limiting the foregoing, Nufinity makes no warranty that:

* the software will meet your requirements
* the software will be uninterrupted, timely, secure or error-free
* the results that may be obtained from the use of the software will be effective, accurate or reliable
* the quality of the software will meet your expectations
* any errors in the software obtained from the DiCOM PiNG web site will be corrected.

Software and its documentation made available on the DiCOM PiNG site:

* could include technical or other mistakes, inaccuracies or typographical errors. Nufinity may make changes to the software or documentation made available on its web site.
* may be out of date, and Nufinity makes no commitment to update such materials.

Nufinity assumes no responsibility for errors or ommissions in the software or documentation available from its web site.

In no event shall Nufinity be liable to you or any third parties for any special, punitive, incidental, indirect or consequential damages of any kind, or any damages whatsoever, including, without limitation, those resulting from loss of use, data or profits, whether or not Nufinity has been advised of the possibility of such damages, and on any theory of liability, arising out of or in connection with the use of this software.

The use of the software downloaded through the DiCOM PiNG site is done at your own discretion and risk and with agreement that you will be solely responsible for any damage to your computer system or loss of data that results from such activities. No advice or information, whether oral or written, obtained by you from Nufinity or from the DiCOM PiNG web site shall create any warranty for the software.


Copyright Information

This product contains code from the DCM Toolkit which is copyright.

Unless otherwise specified, the DCMTK software package has the
following copyright:
/*
* Copyright (C) 1994-2004, OFFIS
*
* This software and supporting documentation were developed by
*
* Kuratorium OFFIS e.V.
* Healthcare Information and Communication Systems
* Escherweg 2
* D-26121 Oldenburg, Germany
*
* THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND OFFIS MAKES NO WARRANTY
* REGARDING THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR
* FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES OR
* ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
* PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
*
* Copyright of the software and supporting documentation is, unless
* otherwise stated, owned by OFFIS, and free access is hereby granted as
* a license to use this software, copy this software and prepare
* derivative works based upon this software. However, any distribution
* of this software source code or supporting documentation or derivative
* works (source code and supporting documentation) must include the
* three paragraphs of this copyright notice.
*
*/

Some portions of the DCMTK software package are derived from earlier
versions of this software with the following copyright, and can be
identifed by the following copyright notice located in each source file:

/*
* Copyright (C) 1993/1994, OFFIS, Oldenburg University and CERIUM
*
* This software and supporting documentation were
* developed by
*
* Institut OFFIS
* Bereich Kommunikationssysteme
* Westerstr. 10-12
* 26121 Oldenburg, Germany
*
* Fachbereich Informatik
* Abteilung Prozessinformatik
* Carl von Ossietzky Universitaet Oldenburg
* Ammerlaender Heerstr. 114-118
* 26111 Oldenburg, Germany
*
* CERIUM
* Laboratoire SIM
* Faculte de Medecine
* 2 Avenue du Pr. Leon Bernard
* 35043 Rennes Cedex, France
*
* for CEN/TC251/WG4 as a contribution to the Radiological
* Society of North America (RSNA) 1993 Digital Imaging and
* Communications in Medicine (DICOM) Demonstration.
*
* THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER OFFIS,
* OLDENBURG UNIVERSITY NOR CERIUM MAKE ANY WARRANTY REGARDING
* THE SOFTWARE, ITS PERFORMANCE, ITS MERCHANTABILITY OR
* FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER
* DISEASES OR ITS CONFORMITY TO ANY SPECIFICATION. THE
* ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF THE SOFTWARE
* IS WITH THE USER.
*
* Copyright of the software and supporting documentation
* is, unless otherwise stated, jointly owned by OFFIS,
* Oldenburg University and CERIUM and free access is hereby
* granted as a license to use this software, copy this
* software and prepare derivative works based upon this
* software. However, any distribution of this software
* source code or supporting documentation or derivative
* works (source code and supporting documentation) must
* include the three paragraphs of this copyright notice.
*
*/

Some other parts of this software within the dcmtk/dcmnet
sub-package related to the DICOM Upper Layer Protocol are
derived from software developed for the RSNA'93 DICOM
demonstration and kindly made available to us by the Mallinckrodt
Institute of Radiology. Such software can be identifed by the
following copyright notice located in each affected source file:

/*
* Copyright (C) 1993, RSNA and Washington University
*
* The software and supporting documentation for the Radiological
* Society of North America (RSNA) 1993 Digital Imaging and
* Communications in Medicine (DICOM) Demonstration were developed
* at the
* Electronic Radiology Laboratory
* Mallinckrodt Institute of Radiology
* Washington University School of Medicine
* 510 S. Kingshighway Blvd.
* St. Louis, MO 63110
* as part of the 1993 DICOM Central Test Node project for, and
* under contract with, the Radiological Society of North America.
*
* THIS SOFTWARE IS MADE AVAILABLE, AS IS, AND NEITHER RSNA NOR
* WASHINGTON UNIVERSITY MAKE ANY WARRANTY ABOUT THE SOFTWARE, ITS
* PERFORMANCE, ITS MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR
* USE, FREEDOM FROM ANY COMPUTER DISEASES OR ITS CONFORMITY TO ANY
* SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND PERFORMANCE OF
* THE SOFTWARE IS WITH THE USER.
*
* Copyright of the software and supporting documentation is
* jointly owned by RSNA and Washington University, and free access
* is hereby granted as a license to use this software, copy this
* software and prepare derivative works based upon this software.
* However, any distribution of this software source code or
* supporting documentation or derivative works (source code and
* supporting documentation) must include the three paragraphs of
* the copyright notice.
*/

The dcmjpeg sub-package includes an adapted version of the Independent JPEG
Group Toolkit Version 6b, which is contained in dcmjpeg/libijg8,
dcmjpeg/libijg12 and dcmjpeg/libijg16. This toolkit is covered by the
following copyright. The original README file for the Independent JPEG
Group Toolkit is located in dcmjpeg/docs/ijg_readme.txt.

/*
* The authors make NO WARRANTY or representation, either express or implied,
* with respect to this software, its quality, accuracy, merchantability, or
* fitness for a particular purpose. This software is provided "AS IS", and you,
* its user, assume the entire risk as to its quality and accuracy.
*
* This software is copyright (C) 1991-1998, Thomas G. Lane.
* All Rights Reserved except as specified below.
*
* Permission is hereby granted to use, copy, modify, and distribute this
* software (or portions thereof) for any purpose, without fee, subject to these
* conditions:
* (1) If any part of the source code for this software is distributed, then this
* README file must be included, with this copyright and no-warranty notice
* unaltered; and any additions, deletions, or changes to the original files
* must be clearly indicated in accompanying documentation.
* (2) If only executable code is distributed, then the accompanying
* documentation must state that "this software is based in part on the work of
* the Independent JPEG Group".
* (3) Permission for use of this software is granted only if the user accepts
* full responsibility for any undesirable consequences; the authors accept
* NO LIABILITY for damages of any kind.
*
* These conditions apply to any software derived from or based on the IJG code,
* not just to the unmodified library. If you use our work, you ought to
* acknowledge us.
*
* Permission is NOT granted for the use of any IJG author's name or company name
* in advertising or publicity relating to this software or products derived from
* it. This software may be referred to only as "the Independent JPEG Group's
* software".
*
* We specifically permit and encourage the use of this software as the basis of
* commercial products, provided that all warranty or liability claims are
* assumed by the product vendor.
*/

The color quantization code in module dcmimage (dcmquant and the related
classes) is derived from code written by Jef Poskanzer for the NetPBM
toolkit which has the following copyright:

/*
* Copyright (C) 1989, 1991 by Jef Poskanzer.
*
* Permission to use, copy, modify, and distribute this software and its
* documentation for any purpose and without fee is hereby granted, provided
* that the above copyright notice appear in all copies and that both that
* copyright notice and this permission notice appear in supporting
* documentation. This software is provided "as is" without express or
* implied warranty.
*/

The code for the OFStandard::strlcpy and OFStandard::strlcat helper
functions in ofstd/libsrc/ofstd.cc has been derived from the BSD
implementation of strlcpy() and strlcat() and which carries the
following copyright notice:

/*
* Copyright (c) 1998 Todd C. Miller <Todd.Miller(at)courtesan.com>
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
* 1. Redistributions of source code must retain the above copyright
* notice, this list of conditions and the following disclaimer.
* 2. Redistributions in binary form must reproduce the above copyright
* notice, this list of conditions and the following disclaimer in the
* documentation and/or other materials provided with the distribution.
* 3. The name of the author may not be used to endorse or promote products
* derived from this software without specific prior written permission.
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES,
* INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
* AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL
* THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
* OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
* WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
* OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
* ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

The code for the OFStandard::atof helper function in
ofstd/libsrc/ofstd.cc has been derived from an implementation which
carries the following copyright notice:

/*
* Copyright 1988 Regents of the University of California
* Permission to use, copy, modify, and distribute this software and
* its documentation for any purpose and without fee is hereby granted,
* provided that the above copyright notice appear in all copies. The
* University of California makes no representations about the
* suitability of this software for any purpose. It is provided "as
* is" without express or implied warranty.
*
*
* The code for OFStandard::ftoa has been derived
* from an implementation which carries the following copyright notice:
*
* Copyright (c) 1988 Regents of the University of California.
* All rights reserved.
*
* Redistribution and use in source and binary forms are permitted
* provided that the above copyright notice and this paragraph are
* duplicated in all such forms and that any documentation,
* advertising materials, and other materials related to such
* distribution and use acknowledge that the software was developed
* by the University of California, Berkeley. The name of the
* University may not be used to endorse or promote products derived
* from this software without specific prior written permission.
* THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
* IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
* WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
*/

The "Base64" encoder/decoder in ofstd/libsrc/ofstd.cc has been derived
from an implementation which carries the following copyright notice:

/*
* Copyright (c) 1999, Bob Withers - bwit(at)pobox.com
*
* This code may be freely used for any purpose, either personal or commercial,
* provided the authors copyright notice remains intact.
*/

/* zlib.h -- interface of the 'zlib' general purpose compression library
version 1.2.2, October 3rd, 2004

Copyright (C) 1995-2004 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
claim that you wrote the original software. If you use this software
in a product, an acknowledgment in the product documentation would be
appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly jloup@gzip.org
Mark Adler madler@alumni.caltech.edu

*/

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/)

Copyright (c) 1988-1997 Sam Leffler
Copyright (c) 1991-1997 Silicon Graphics, Inc.

Permission to use, copy, modify, distribute, and sell this software and
its documentation for any purpose is hereby granted without fee, provided
that (i) the above copyright notices and this permission notice appear in
all copies of the software and related documentation, and (ii) the names of
Sam Leffler and Silicon Graphics may not be used in any advertising or
publicity relating to the software without the specific, prior written
permission of Sam Leffler and Silicon Graphics.

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
OF THIS SOFTWARE.